︠9a2f8c85-a1e3-40f1-abe8-3f0d757e9d0f︠
g=graphs.PetersenGraph()
︡78656827-6927-4c16-9309-b715fb8ef4df︡︡{"done":true}
︠bfa5509c-27f4-4437-ae86-f9e8ae6e7360s︠
def graph_string(g, w = None):
    """
    Given graph g and (optional) edge weights w return string
    representing g and w in the following format.

    First line is a pair of integers denoting number of vertices
    and number of edges, say m, respectively.

    Then m lines follow, where each line is a pair or a triple of
    numbers. The first two numbers always indicate the endpoints of
    an edge and the third number (if any) indicates the corresponding
    weight of the given edge.

    E.g. If G=(V,E) with V={0, 1, 2, 3} and E={01, 02, 13, 24, 34}, then
    the string representing G is
    4 5
    0 1
    0 2
    1 3
    2 4
    3 4
    """
    g.relabel()
    n = g.num_verts()
    m = g.num_edges()
    s = "{0} {1}\n".format(n, m)
    for x,y in g.edges(labels = False):
        s += "{0} {1}".format(x, y)
        if w:
            s += " {0}".format(w[(x, y)])
        s += "\n"
    return s

def write_to_file( filename, string ):
    f = open(filename,'w')
    f.write(string)
    f.close()
︡6802b214-6249-4c54-8f34-8be40d4875b8︡︡{"done":true}
︠b9ae8044-0fc1-4fee-acf1-0c9810014fad︠
w=dict([(e, randint(1,10)) for e in g.edges(labels = False)])
︡ca93db9a-9101-44ac-8a81-fea881f731f3︡︡{"done":true}
︠3925a0b7-d54e-42f0-91d5-f4fe3efcaf5a︠
w
︡4d85917a-778f-4ef7-84a0-3d57d82da7cf︡︡{"stdout":"{(0, 1): 7, (1, 2): 2, (6, 9): 10, (4, 9): 5, (6, 8): 9, (5, 7): 1, (2, 7): 8, (1, 6): 8, (3, 8): 2, (0, 5): 9, (0, 4): 5, (2, 3): 1, (3, 4): 4, (5, 8): 3, (7, 9): 1}\n","done":false}︡{"done":true}
︠0e411d3b-3aa7-4706-be2c-8b6383c50c82︠
s=graph_string(g, w)
︡05ea2bfb-dd2a-4f61-ba06-730c35dc96a7︡︡{"done":true}

︠7410db93-a069-49a7-ae66-94d9e014d690︠
write_to_file('test.txt', s)
︡6dd4c126-7476-4c3b-90a7-5d6728744ff6︡︡{"done":true}
︠a786ae02-b9c2-4d14-a1da-fffd29722a20s︠
g=graphs.RandomGNP(250,0.2)
#g.show()
print g.is_connected()
︡285ca586-9491-4215-a870-3fa533bf0047︡︡{"stdout":"True\n","done":false}︡{"done":true}
︠70967f2f-d2a9-427f-a74b-41e80b9a313b︠

︠1b1435c3-ac33-4032-85fd-6cecaafc08cas︠
w=dict([(e, randint(1,1000)) for e in g.edges(labels = False)])
s=graph_string(g,w)
write_to_file("random.txt",s)
︡3fa6c7b5-b908-44aa-8c51-bf0a13f80f22︡︡{"done":true}
︠e4c2512b-6104-46f6-9872-c965c620e6f3s︠
g=graphs.Grid2dGraph(40,40)
g.relabel()
for i in range(50):
    u = randint(0,1599)
    v = randint(0,1599)
    g.add_edge(u,v)
g.is_connected()
g.average_degree().n()
︡2d50d275-51eb-4a21-b5b0-13cc93211942︡︡{"stdout":"True\n","done":false}︡{"stdout":"3.96250000000000\n","done":false}︡{"done":true}
︠4001ebe1-67fd-49b8-864c-aa73e83e7734s︠
w=dict([(e, randint(1,1000)) for e in g.edges(labels = False)])
s=graph_string(g,w)
write_to_file("gridlike.txt",s)
︡e40c9dd5-498b-4fd8-acaa-e7682734526d︡︡{"done":true}
︠e414b521-46e2-4aac-8b1a-fa0e7d3f4dc2︠









